[arch-commits] CVS update of extra/editors/emacs (PKGBUILD)

Dan McGee dan at archlinux.org
Tue Jun 5 15:46:22 EDT 2007


    Date: Tuesday, June 5, 2007 @ 15:46:22
  Author: dan
    Path: /home/cvs-extra/extra/editors/emacs

Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: emacs 22.1-1


----------+
 PKGBUILD |   35 ++++++++++++++---------------------
 1 file changed, 14 insertions(+), 21 deletions(-)


Index: extra/editors/emacs/PKGBUILD
diff -u extra/editors/emacs/PKGBUILD:1.3 extra/editors/emacs/PKGBUILD:1.4
--- extra/editors/emacs/PKGBUILD:1.3	Sun May 21 01:33:11 2006
+++ extra/editors/emacs/PKGBUILD	Tue Jun  5 15:46:22 2007
@@ -1,35 +1,26 @@
-# $Id: PKGBUILD,v 1.3 2006/05/21 05:33:11 uid1016 Exp $
+# $Id: PKGBUILD,v 1.4 2007/06/05 19:46:22 dan Exp $
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 # Contributor: Renchi Raju <renchi at green.tam.uiuc.edu>
 pkgname=emacs
-pkgver=21.4
-pkgrel=4
+pkgver=22.1
+pkgrel=1
 pkgdesc="The Emacs Editor"
 arch=(i686 x86_64)
 url="http://www.gnu.org/software/emacs/emacs.html"
+license=('GPL')
 depends=('ncurses' 'libpng' 'libtiff' 'libungif' 'xaw3d')
-source=(ftp://ftp.gnu.org/gnu/emacs/$pkgname-21.4a.tar.gz \
-        emacs-21.4-xorg.patch)
-[ "$CARCH" = "x86_64" ] && source=(${source[@]} 'http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/app-editors/emacs/files/emacs-21.3-amd64.patch')
-md5sums=('8f9d97cbd126121bd5d97e5e31168a87' 'ca07e58ea6c9ad668d15d2e3650f6628')
-[ "$CARCH" = "x86_64" ] && md5sums=(${md5sums[@]} 'bb29381a50b72e88d869fb09a2c0a34e')
+source=(ftp://ftp.gnu.org/gnu/emacs/$pkgname-$pkgver.tar.gz)
+md5sums=('6949df37caec2d7a2e0eee3f1b422726')
+sha1sums=('327664173eabe5db49d4e7e4a4b1794577af902e')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc \
+    --libexecdir=/usr/lib --localstatedir=/var \
+	--mandir=/usr/man
+  make || return 1 
+  make DESTDIR=$startdir/pkg install || return 1
 
-  [ "$CARCH" == "x86_64" ] && patch -Np1 -i ../emacs-21.3-amd64.patch || return 1
-
-  # fix AltGr key behaviour when compiling against xorg
-  patch -p1 -i ../emacs-21.4-xorg.patch || return 1
-  ./configure --prefix=/usr
-  
-  # we don't want to use /usr/libexec
-  sed -i "s|\"/usr/libexec/emacs.*$|\"/usr/lib/emacs/$pkgver\"|g" src/epaths.h
-  mv newepaths.h src/epaths.h
-
-  make libexecdir=/usr/lib archlibdir=/usr/lib/emacs/${pkgver} || return 1
-  make prefix=$startdir/pkg/usr libexecdir=$startdir/pkg/usr/lib \
-    archlibdir=$startdir/pkg/usr/lib/emacs/${pkgver} install
   # remove conflict with ctags package
   mv $startdir/pkg/usr/bin/{ctags,ctags.emacs} || return 1
   mv $startdir/pkg/usr/bin/{etags,etags.emacs} || return 1
@@ -37,4 +28,6 @@
   mv $startdir/pkg/usr/man/man1/{ctags.1,ctags.emacs.1} || return 1
   # fix all the 777 perms on directories
   find $startdir/pkg/usr/share/emacs/$pkgver -type d -exec chmod 755 {} \;
+  # fix user/root permissions on usr/share files
+  find $startdir/pkg/usr/share/emacs/$pkgver -exec chown root.root {} \;
 }




More information about the arch-commits mailing list